package iXPaste::Controller::Example;

use strict;
use warnings;
use parent 'Catalyst::Controller';

=head1 NAME

iXPaste::Controller::Example - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=head2 auto

=cut

sub auto : Private {
    my ( $self, $c ) = @_;
}

=head2 begin

=cut

sub begin : Private {
    my ( $self, $c ) = @_;
}

=head2 end

Zeigt die Laufzeiten der Actions an.

=cut

sub end : Private {
    my ( $self, $c ) = @_;
    my $report = $c->stats->report;
    $c->response->body($report);
}

=head2 index 

=cut

sub index : Path : Args(0) {
    my ( $self, $c ) = @_;
}

=head1 AUTHOR

Johannes Plunien, Thomas Pietrzykowski

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
