package iXPaste::Model::SyntaxHighlight;

use parent 'Catalyst::Model::Adaptor';

=head1 NAME

iXPaste::Model::SyntaxHighlight - SyntaxHighlight Model

=head1 CONFIGURATION

Siehe auch L<Catalyst::Model::Adaptor/CONFIGURATION>.

=cut

__PACKAGE__->config(
    class => 'Syntax::Highlight::Engine::Kate',
    args  => {
        language      => 'Perl',
        substitutions => {
            "<"  => "&lt;",
            ">"  => "&gt;",
            "&"  => "&amp;",
            " "  => "&nbsp;",
            "\t" => "&nbsp;&nbsp;&nbsp;&nbsp;",
            "\n" => "<br/>\n",
        },
        format_table => {
            Alert        => [ '<font color="#0000ff">',       '</font>' ],
            BaseN        => [ '<font color="#007f00">',       '</font>' ],
            BString      => [ '<font color="#c9a7ff">',       '</font>' ],
            Char         => [ '<font color="#ff00ff">',       '</font>' ],
            Comment      => [ '<font color="#7f7f7f"><i>',    '</i></font>' ],
            DataType     => [ '<font color="#0000ff">',       '</font>' ],
            DecVal       => [ '<font color="#00007f">',       '</font>' ],
            Error        => [ '<font color="#ff0000"><b><i>', '</i></b></font>' ],
            Float        => [ '<font color="#00007f">',       '</font>' ],
            Function     => [ '<font color="#007f00">',       '</font>' ],
            IString      => [ '<font color="#ff0000">',       '' ],
            Keyword      => [ '<b>',                          '</b>' ],
            Normal       => [ '',                             '' ],
            Operator     => [ '<font color="#ffa500">',       '</font>' ],
            Others       => [ '<font color="#b03060">',       '</font>' ],
            RegionMarker => [ '<font color="#96b9ff"><i>',    '</i></font>' ],
            Reserved     => [ '<font color="#9b30ff"><b>',    '</b></font>' ],
            String       => [ '<font color="#ff0000">',       '</font>' ],
            Variable     => [ '<font color="#0000ff"><b>',    '</b></font>' ],
            Warning      => [ '<font color="#0000ff"><b><i>', '</b></i></font>' ],
        },
    }
);

=head1 DESCRIPTION

Siehe auch L<Syntax::Highlight::Engine::Kate>.

=head1 METHODS

=head2 mangle_arguments

L<Syntax::Highlight::Engine::Kate> erwartet beim Instanzieren einen Hash.
Per Default uebergibt L<Catalyst::Model::Adaptor> einen HashRef an den
Konstruktur der zu adaptierenden Klasse. Diese Methode aendert dieses
Standardverhalten und uebergibt einen Hash.

=cut

sub mangle_arguments {
    my ( $self, $args ) = @_;
    return %$args;
}

=head1 AUTHOR

Johannes Plunien, Thomas Pietrzykowski

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
